curl --request GET \
--url https://api-sb.meld.io/notifications/webhooks \
--header 'Authorization: <api-key>'import requests
url = "https://api-sb.meld.io/notifications/webhooks"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-sb.meld.io/notifications/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"remaining": 123,
"webhookProfiles": [
{
"accountId": "<string>",
"eventTypes": [
"<string>"
],
"eventVersion": "<string>",
"id": "<string>",
"key": "<string>",
"name": "<string>",
"secret": "<string>",
"status": "ACTIVE",
"url": "<string>"
}
]
}{
"code": "BAD_REQUEST",
"message": "Bad request",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00",
"errors": [
"[Meld-Version] is invalid"
]
}{
"code": "UNAUTHORIZED",
"message": "Access denied",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00"
}{
"code": "FORBIDDEN",
"message": "Access denied",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00"
}{
"code": "UNEXPECTED_ERROR",
"message": "Unexpected error",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00"
}Search webhook profiles
Returns a list of webhook profiles that match the query parameters. The webhook profiles are sorted by name.
Authorizations
Headers
Dated API version to use for this request, e.g. 2026-02-03.
"2026-02-03"
Query Parameters
Unique key corresponding to a webhook profile's position in the paginated list of results -- used to indicate that only profiles residing before this key will be retrieved.
Each webhook profile carries a unique key. Reference Pagination
The before and after fields cannot be used in the same request.
Unique key corresponding to a webhook profile's position in the paginated list of results -- used to indicate that only profiles residing after this key will be retrieved.
Each webhook profile carries a unique key. Reference Pagination
The before and after fields cannot be used in the same request.
Max number of webhook profiles that should be returned.
Default value: 10
Minimum value: 1
Maximum value: 100
Response
Matching webhook profiles are returned